//____________________________________________________________________
// LEARNING DIGITAL OSCILLOSCOPE USING MSP430 AS SIGNAL GENERATOR
// 
// Date: 2014-01-02            Written by: Mukesh Soni 
//____________________________________________________________________
// 
// OUTPUT DETAILS
//____________________________________________________________________
// Pin # 1.2 : PWM - Frequency = 15.93 kHz
//
// CONFIGURATION: Duty Cycle (dutyC): Valid Range = 10 to 90
//____________________________________________________________________

int dutyC = 90;            // Duty Cycle: Valid Range = 10 to 90
void setup() 
{ 
WDTCTL = WDTPW + WDTHOLD;  // Stop WDT
 
 P1DIR |= BIT2;             // P1.2 to output
 P1SEL |= BIT2;             // P1.2 to TA0.1
 
 CCR0 = 1000-1;             // PWM Period
 CCTL1 = OUTMOD_7;          // CCR1 reset/set
 CCR1 = dutyC * 10;         // CCR1 PWM duty cycle
 TACTL = TASSEL_2 + MC_1;   // SMCLK, up mode
 
 _BIS_SR(LPM0_bits);        // Enter LPM0
}
void loop() {
 
}
